%define upstream_name    Email-Abstract
%define upstream_version 3.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Unified interface to mail representations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Email::Simple) >= 1.910.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Pluggable) >= 1.500.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Email::Abstract provides module writers with the ability to write
representation-independent mail handling code. For instance, in the cases of
Mail::Thread or Mail::ListDetector, a key part of the code involves reading the
headers from a mail object. Where previously one would either have to specify
the mail class required, or to build a new object from scratch, Email::Abstract
can be used to perform certain simple operations on an object regardless of its
underlying representation.

Email::Abstract currently supports Mail::Internet, MIME::Entity, Mail::Message,
Email::Simple and Email::MIME. Other representations are encouraged to create
their own Email::Abstract::* class by copying Email::Abstract::EmailSimple. All
modules installed under the Email::Abstract hierarchy will be automatically
picked up and used.

For this reason, the tedious process of looking for a valid date has been
encapsulated in this software. Further, the process of creating RFC compliant
date strings is also found in this software.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 3.8.0-5.mga8
+ Revision: 1494424
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 3.8.0-4.mga7
+ Revision: 1267838
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 3.8.0-3.mga6
+ Revision: 1026883
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 3.8.0-2.mga6
+ Revision: 966823
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 3.8.0-1.mga6
+ Revision: 846934
- update to 3.008

* Wed Oct 15 2014 umeabot <umeabot> 3.7.0-4.mga5
+ Revision: 739240
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7.0-3.mga5
+ Revision: 727602
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7.0-2.mga5
+ Revision: 684612
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 3.7.0-1.mga5
+ Revision: 587258
- update to 3.007

* Sat Oct 19 2013 umeabot <umeabot> 3.6.0-2.mga4
+ Revision: 533991
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 3.6.0-1.mga4
+ Revision: 475982
- update to 3.006

* Wed Jul 31 2013 sander85 <sander85> 3.5.0-1.mga4
+ Revision: 461460
- update to 3.005

* Sun Jan 13 2013 umeabot <umeabot> 3.4.0-2.mga3
+ Revision: 366743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 3.4.0-1.mga1
+ Revision: 61469
- update to 3.004

* Sat Jan 22 2011 jquelin <jquelin> 3.3.0-1.mga1
+ Revision: 31943
- mageia rebuild
- imported package perl-Email-Abstract


* Mon Nov 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.3.0-1mdv2011.0
+ Revision: 597671
- update to new version 3.003

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 3.2.0-2mdv2011.0
+ Revision: 564733
- rebuild for perl 5.12.1

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 3.2.0-1mdv2011.0
+ Revision: 552699
- update to 3.002

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 3.1.0-4mdv2010.1
+ Revision: 505730
- rebuild using %%perl_convert_version

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.001-3mdv2010.0
+ Revision: 426443
- rebuild

* Thu Dec 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.001-2mdv2009.1
+ Revision: 315963
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.13.4-2mdv2009.0
+ Revision: 223661
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.13.4-1mdv2008.1
+ Revision: 110400
- new version (upstream version 2.134)

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.13.2-1mdv2008.0
+ Revision: 48057
- update to new version 2.132


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.13.1-1mdv2007.0
+ Revision: 111269
- fix build dependencies
- Import perl-Email-Abstract

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.13.1-1mdv2007.1
- first mdv release

